diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/spectrum/test/two-ray-splm-test-suite.cc ns-3.42/src/spectrum/test/two-ray-splm-test-suite.cc
--- ns-3.41/src/spectrum/test/two-ray-splm-test-suite.cc	2024-02-09 14:44:08.501794300 -0800
+++ ns-3.42/src/spectrum/test/two-ray-splm-test-suite.cc	2024-05-29 15:29:47.172073600 -0700
@@ -597,10 +597,10 @@
 };
 
 TwoRaySplmTestSuite::TwoRaySplmTestSuite()
-    : TestSuite("two-ray-splm-suite", UNIT)
+    : TestSuite("two-ray-splm-suite", Type::UNIT)
 {
     // Test the GetFtrFastFading function of the TwoRaySpectrumPropagationLossModel class
-    AddTestCase(new FtrFadingModelAverageTest, TestCase::QUICK);
+    AddTestCase(new FtrFadingModelAverageTest, TestCase::Duration::QUICK);
 
     // Test the CalcBeamformingGain function of the TwoRaySpectrumPropagationLossModel class
     auto iso = CreateObject<IsotropicAntennaModel>();
@@ -621,7 +621,7 @@
                                       0.0,
                                       -M_PI,
                                       0.0),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(iso,
                                       iso,
                                       4,
@@ -631,7 +631,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(4)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(iso,
                                       iso,
                                       16,
@@ -641,7 +641,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(16)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(iso,
                                       iso,
                                       64,
@@ -651,7 +651,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(64)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(iso,
                                       iso,
                                       4,
@@ -661,7 +661,7 @@
                                       0.0,
                                       -M_PI,
                                       2 * 10 * log10(4)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(iso,
                                       iso,
                                       16,
@@ -671,7 +671,7 @@
                                       0.0,
                                       -M_PI,
                                       2 * 10 * log10(16)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(iso,
                                       iso,
                                       64,
@@ -681,7 +681,7 @@
                                       0.0,
                                       -M_PI,
                                       2 * 10 * log10(64)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       iso,
                                       1,
@@ -691,7 +691,7 @@
                                       0.0,
                                       -M_PI,
                                       maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       iso,
                                       4,
@@ -701,7 +701,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(4) + maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       iso,
                                       16,
@@ -711,7 +711,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(16) + maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       iso,
                                       64,
@@ -721,7 +721,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(64) + maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       tgpp,
                                       1,
@@ -731,7 +731,7 @@
                                       0.0,
                                       -M_PI,
                                       2 * maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       tgpp,
                                       4,
@@ -741,7 +741,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(4) + 2 * maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       tgpp,
                                       16,
@@ -751,7 +751,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(16) + 2 * maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       tgpp,
                                       64,
@@ -761,7 +761,7 @@
                                       0.0,
                                       -M_PI,
                                       10 * log10(64) + 2 * maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       tgpp,
                                       4,
@@ -771,7 +771,7 @@
                                       0.0,
                                       -M_PI,
                                       2 * 10 * log10(4) + 2 * maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       tgpp,
                                       16,
@@ -781,7 +781,7 @@
                                       0.0,
                                       -M_PI,
                                       2 * 10 * log10(16) + 2 * maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new ArrayResponseTest(tgpp,
                                       tgpp,
                                       64,
@@ -791,44 +791,52 @@
                                       0.0,
                                       -M_PI,
                                       2 * 10 * log10(64) + 2 * maxTgppGain),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Deploy 2 squared antenna arrays which face each other. Steer their beam towards the boresight
     // and check the overall resulting channel gain. SE = single element radiation pattern, N =
     // number of radiating elements, Fc = carrier frequency, Scen = 3GPP scenario
     //                                     SE tx,   SE rx, N tx, N rx,    Fc,    Scen
-    AddTestCase(new OverallGainAverageTest(iso, iso, 1, 1, 10e9, "RMa"), TestCase::EXTENSIVE);
-    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 1, 1, 10e9, "RMa"), TestCase::EXTENSIVE);
-    AddTestCase(new OverallGainAverageTest(iso, iso, 4, 4, 10e9, "RMa"), TestCase::EXTENSIVE);
-    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 4, 4, 10e9, "RMa"), TestCase::EXTENSIVE);
-    AddTestCase(new OverallGainAverageTest(iso, iso, 1, 1, 10e9, "UMa"), TestCase::EXTENSIVE);
-    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 1, 1, 10e9, "UMa"), TestCase::EXTENSIVE);
-    AddTestCase(new OverallGainAverageTest(iso, iso, 4, 4, 10e9, "UMa"), TestCase::EXTENSIVE);
-    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 4, 4, 10e9, "UMa"), TestCase::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(iso, iso, 1, 1, 10e9, "RMa"),
+                TestCase::Duration::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 1, 1, 10e9, "RMa"),
+                TestCase::Duration::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(iso, iso, 4, 4, 10e9, "RMa"),
+                TestCase::Duration::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 4, 4, 10e9, "RMa"),
+                TestCase::Duration::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(iso, iso, 1, 1, 10e9, "UMa"),
+                TestCase::Duration::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 1, 1, 10e9, "UMa"),
+                TestCase::Duration::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(iso, iso, 4, 4, 10e9, "UMa"),
+                TestCase::Duration::EXTENSIVE);
+    AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 4, 4, 10e9, "UMa"),
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(iso, iso, 1, 1, 60e9, "UMi-StreetCanyon"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 1, 1, 60e9, "UMi-StreetCanyon"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(iso, iso, 4, 4, 60e9, "UMi-StreetCanyon"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 4, 4, 60e9, "UMi-StreetCanyon"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(iso, iso, 1, 1, 60e9, "InH-OfficeOpen"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 1, 1, 60e9, "InH-OfficeOpen"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(iso, iso, 4, 4, 60e9, "InH-OfficeOpen"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 4, 4, 60e9, "InH-OfficeOpen"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(iso, iso, 1, 1, 100e9, "InH-OfficeMixed"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 1, 1, 100e9, "InH-OfficeMixed"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(iso, iso, 4, 4, 100e9, "InH-OfficeMixed"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new OverallGainAverageTest(tgpp, tgpp, 4, 4, 100e9, "InH-OfficeMixed"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 }
 
 // Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/stats/helper/file-helper.cc ns-3.42/src/stats/helper/file-helper.cc
--- ns-3.41/src/stats/helper/file-helper.cc	2024-02-09 14:44:08.501794300 -0800
+++ ns-3.42/src/stats/helper/file-helper.cc	2024-05-29 15:29:47.172073600 -0700
@@ -476,7 +476,8 @@
     AddTimeSeriesAdaptor(probeContext);
 
     // Connect the probe to the adaptor.
-    if (m_probeMap[probeName].second == "ns3::DoubleProbe")
+    if (m_probeMap[probeName].second == "ns3::DoubleProbe" ||
+        m_probeMap[probeName].second == "ns3::TimeProbe")
     {
         m_probeMap[probeName].first->TraceConnectWithoutContext(
             probeTraceSource,
@@ -490,28 +491,11 @@
             MakeCallback(&TimeSeriesAdaptor::TraceSinkBoolean,
                          m_timeSeriesAdaptorMap[probeContext]));
     }
-    else if (m_probeMap[probeName].second == "ns3::PacketProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::ApplicationPacketProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::Ipv4PacketProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::Ipv6PacketProbe")
+    else if (m_probeMap[probeName].second == "ns3::Uinteger32Probe" ||
+             m_probeMap[probeName].second == "ns3::PacketProbe" ||
+             m_probeMap[probeName].second == "ns3::ApplicationPacketProbe" ||
+             m_probeMap[probeName].second == "ns3::Ipv4PacketProbe" ||
+             m_probeMap[probeName].second == "ns3::Ipv6PacketProbe")
     {
         m_probeMap[probeName].first->TraceConnectWithoutContext(
             probeTraceSource,
@@ -532,20 +516,6 @@
             MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger16,
                          m_timeSeriesAdaptorMap[probeContext]));
     }
-    else if (m_probeMap[probeName].second == "ns3::Uinteger32Probe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::TimeProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkDouble,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
     else
     {
         NS_FATAL_ERROR("Unknown probe type " << m_probeMap[probeName].second
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/stats/helper/gnuplot-helper.cc ns-3.42/src/stats/helper/gnuplot-helper.cc
--- ns-3.41/src/stats/helper/gnuplot-helper.cc	2024-02-09 14:44:08.501794300 -0800
+++ ns-3.42/src/stats/helper/gnuplot-helper.cc	2024-05-29 15:29:47.172073600 -0700
@@ -333,7 +333,8 @@
     AddTimeSeriesAdaptor(probeContext);
 
     // Connect the probe to the adaptor.
-    if (m_probeMap[probeName].second == "ns3::DoubleProbe")
+    if (m_probeMap[probeName].second == "ns3::DoubleProbe" ||
+        m_probeMap[probeName].second == "ns3::TimeProbe")
     {
         m_probeMap[probeName].first->TraceConnectWithoutContext(
             probeTraceSource,
@@ -347,28 +348,11 @@
             MakeCallback(&TimeSeriesAdaptor::TraceSinkBoolean,
                          m_timeSeriesAdaptorMap[probeContext]));
     }
-    else if (m_probeMap[probeName].second == "ns3::PacketProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::ApplicationPacketProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::Ipv4PacketProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::Ipv6PacketProbe")
+    else if (m_probeMap[probeName].second == "ns3::Uinteger32Probe" ||
+             m_probeMap[probeName].second == "ns3::PacketProbe" ||
+             m_probeMap[probeName].second == "ns3::ApplicationPacketProbe" ||
+             m_probeMap[probeName].second == "ns3::Ipv4PacketProbe" ||
+             m_probeMap[probeName].second == "ns3::Ipv6PacketProbe")
     {
         m_probeMap[probeName].first->TraceConnectWithoutContext(
             probeTraceSource,
@@ -389,20 +373,6 @@
             MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger16,
                          m_timeSeriesAdaptorMap[probeContext]));
     }
-    else if (m_probeMap[probeName].second == "ns3::Uinteger32Probe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkUinteger32,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
-    else if (m_probeMap[probeName].second == "ns3::TimeProbe")
-    {
-        m_probeMap[probeName].first->TraceConnectWithoutContext(
-            probeTraceSource,
-            MakeCallback(&TimeSeriesAdaptor::TraceSinkDouble,
-                         m_timeSeriesAdaptorMap[probeContext]));
-    }
     else
     {
         NS_FATAL_ERROR("Unknown probe type " << m_probeMap[probeName].second
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/stats/model/omnet-data-output.cc ns-3.42/src/stats/model/omnet-data-output.cc
--- ns-3.41/src/stats/model/omnet-data-output.cc	2024-02-09 14:44:08.505794300 -0800
+++ ns-3.42/src/stats/model/omnet-data-output.cc	2024-05-29 15:29:47.176073800 -0700
@@ -77,7 +77,8 @@
 
     for (auto it = s.begin(); it != s.end(); it++)
     {
-        if ((*it == '.') && (decimalPtSeen))
+        if ((*it == '.' && decimalPtSeen) || (*it == 'e' && exponentSeen) ||
+            (*it == '-' && it != s.begin() && last != 'e'))
         {
             return false;
         }
@@ -85,19 +86,11 @@
         {
             decimalPtSeen = true;
         }
-        else if ((*it == 'e') && exponentSeen)
-        {
-            return false;
-        }
         else if (*it == 'e')
         {
             exponentSeen = true;
             decimalPtSeen = false;
         }
-        else if (*it == '-' && it != s.begin() && last != 'e')
-        {
-            return false;
-        }
 
         last = *it;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/stats/test/average-test-suite.cc ns-3.42/src/stats/test/average-test-suite.cc
--- ns-3.41/src/stats/test/average-test-suite.cc	2024-02-09 14:44:08.505794300 -0800
+++ ns-3.42/src/stats/test/average-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -317,11 +317,11 @@
 };
 
 AverageTestSuite::AverageTestSuite()
-    : TestSuite("average", UNIT)
+    : TestSuite("average", Type::UNIT)
 {
-    AddTestCase(new OneIntegerAverageTestCase, TestCase::QUICK);
-    AddTestCase(new FiveIntegersAverageTestCase, TestCase::QUICK);
-    AddTestCase(new FiveDoublesAverageTestCase, TestCase::QUICK);
+    AddTestCase(new OneIntegerAverageTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new FiveIntegersAverageTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new FiveDoublesAverageTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/stats/test/basic-data-calculators-test-suite.cc ns-3.42/src/stats/test/basic-data-calculators-test-suite.cc
--- ns-3.41/src/stats/test/basic-data-calculators-test-suite.cc	2024-02-09 14:44:08.505794300 -0800
+++ ns-3.42/src/stats/test/basic-data-calculators-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -261,11 +261,11 @@
 };
 
 BasicDataCalculatorsTestSuite::BasicDataCalculatorsTestSuite()
-    : TestSuite("basic-data-calculators", UNIT)
+    : TestSuite("basic-data-calculators", Type::UNIT)
 {
-    AddTestCase(new OneIntegerTestCase, TestCase::QUICK);
-    AddTestCase(new FiveIntegersTestCase, TestCase::QUICK);
-    AddTestCase(new FiveDoublesTestCase, TestCase::QUICK);
+    AddTestCase(new OneIntegerTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new FiveIntegersTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new FiveDoublesTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/stats/test/double-probe-test-suite.cc ns-3.42/src/stats/test/double-probe-test-suite.cc
--- ns-3.41/src/stats/test/double-probe-test-suite.cc	2024-02-09 14:44:08.505794300 -0800
+++ ns-3.42/src/stats/test/double-probe-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -210,9 +210,9 @@
 };
 
 ProbeTestSuite::ProbeTestSuite()
-    : TestSuite("double-probe", UNIT)
+    : TestSuite("double-probe", Type::UNIT)
 {
-    AddTestCase(new ProbeTestCase1, TestCase::QUICK);
+    AddTestCase(new ProbeTestCase1, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/stats/test/histogram-test-suite.cc ns-3.42/src/stats/test/histogram-test-suite.cc
--- ns-3.41/src/stats/test/histogram-test-suite.cc	2024-02-09 14:44:08.505794300 -0800
+++ ns-3.42/src/stats/test/histogram-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
@@ -83,9 +83,9 @@
 };
 
 HistogramTestSuite::HistogramTestSuite()
-    : TestSuite("histogram", UNIT)
+    : TestSuite("histogram", Type::UNIT)
 {
-    AddTestCase(new HistogramTestCase, TestCase::QUICK);
+    AddTestCase(new HistogramTestCase, TestCase::Duration::QUICK);
 }
 
 static HistogramTestSuite g_HistogramTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/tap-bridge/examples/tap-csma-virtual-machine.py ns-3.42/src/tap-bridge/examples/tap-csma-virtual-machine.py
--- ns-3.41/src/tap-bridge/examples/tap-csma-virtual-machine.py	2024-02-09 14:44:08.505794300 -0800
+++ ns-3.42/src/tap-bridge/examples/tap-csma-virtual-machine.py	2024-05-29 15:29:47.176073800 -0700
@@ -29,24 +29,22 @@
 
 
 def main(argv):
-    ns.core.CommandLine().Parse(argv)
+    ns.CommandLine().Parse(argv)
 
     #
     # We are interacting with the outside, real, world.  This means we have to
     # interact in real-time and therefore we have to use the real-time simulator
     # and take the time to calculate checksums.
     #
-    ns.core.GlobalValue.Bind(
-        "SimulatorImplementationType", ns.core.StringValue("ns3::RealtimeSimulatorImpl")
-    )
-    ns.core.GlobalValue.Bind("ChecksumEnabled", ns.core.BooleanValue(True))
+    ns.GlobalValue.Bind("SimulatorImplementationType", ns.StringValue("ns3::RealtimeSimulatorImpl"))
+    ns.GlobalValue.Bind("ChecksumEnabled", ns.BooleanValue(True))
 
     #
     # Create two ghost nodes.  The first will represent the virtual machine host
     # on the left side of the network; and the second will represent the VM on
     # the right side.
     #
-    nodes = ns.network.NodeContainer()
+    nodes = ns.NodeContainer()
     nodes.Create(2)
 
     #
@@ -54,7 +52,7 @@
     # devices installed on both of the nodes.  The data rate and delay for the
     # channel can be set through the command-line parser.
     #
-    csma = ns.csma.CsmaHelper()
+    csma = ns.CsmaHelper()
     devices = csma.Install(nodes)
 
     #
@@ -65,24 +63,24 @@
     # only see traffic from one other device on that bridge.  That is the case
     # for this configuration.
     #
-    tapBridge = ns.tap_bridge.TapBridgeHelper()
-    tapBridge.SetAttribute("Mode", ns.core.StringValue("UseLocal"))
-    tapBridge.SetAttribute("DeviceName", ns.core.StringValue("tap-left"))
+    tapBridge = ns.TapBridgeHelper()
+    tapBridge.SetAttribute("Mode", ns.StringValue("UseLocal"))
+    tapBridge.SetAttribute("DeviceName", ns.StringValue("tap-left"))
     tapBridge.Install(nodes.Get(0), devices.Get(0))
 
     #
     # Connect the right side tap to the right side wifi device on the right-side
     # ghost node.
     #
-    tapBridge.SetAttribute("DeviceName", ns.core.StringValue("tap-right"))
+    tapBridge.SetAttribute("DeviceName", ns.StringValue("tap-right"))
     tapBridge.Install(nodes.Get(1), devices.Get(1))
 
     #
     # Run the simulation for ten minutes to give the user time to play around
     #
-    ns.core.Simulator.Stop(ns.core.Seconds(600))
-    ns.core.Simulator.Run()  # signal_check_frequency = -1
-    ns.core.Simulator.Destroy()
+    ns.Simulator.Stop(ns.Seconds(600))
+    ns.Simulator.Run()  # signal_check_frequency = -1
+    ns.Simulator.Destroy()
     return 0
 
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/tap-bridge/examples/tap-wifi-virtual-machine.py ns-3.42/src/tap-bridge/examples/tap-wifi-virtual-machine.py
--- ns-3.41/src/tap-bridge/examples/tap-wifi-virtual-machine.py	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/tap-bridge/examples/tap-wifi-virtual-machine.py	2024-05-29 15:29:47.176073800 -0700
@@ -29,46 +29,44 @@
 
 
 def main(argv):
-    ns.core.CommandLine().Parse(argv)
+    ns.CommandLine().Parse(argv)
 
     #
     # We are interacting with the outside, real, world.  This means we have to
     # interact in real-time and therefore we have to use the real-time simulator
     # and take the time to calculate checksums.
     #
-    ns.core.GlobalValue.Bind(
-        "SimulatorImplementationType", ns.core.StringValue("ns3::RealtimeSimulatorImpl")
-    )
-    ns.core.GlobalValue.Bind("ChecksumEnabled", ns.core.BooleanValue(True))
+    ns.GlobalValue.Bind("SimulatorImplementationType", ns.StringValue("ns3::RealtimeSimulatorImpl"))
+    ns.GlobalValue.Bind("ChecksumEnabled", ns.BooleanValue(True))
 
     #
     # Create two ghost nodes.  The first will represent the virtual machine host
     # on the left side of the network; and the second will represent the VM on
     # the right side.
     #
-    nodes = ns.network.NodeContainer()
+    nodes = ns.NodeContainer()
     nodes.Create(2)
 
     #
     # We're going to use 802.11 A so set up a wifi helper to reflect that.
     #
-    wifi = ns.wifi.WifiHelper()
-    wifi.SetStandard(ns.wifi.WIFI_STANDARD_80211a)
+    wifi = ns.WifiHelper()
+    wifi.SetStandard(ns.WIFI_STANDARD_80211a)
     wifi.SetRemoteStationManager(
-        "ns3::ConstantRateWifiManager", "DataMode", ns.core.StringValue("OfdmRate54Mbps")
+        "ns3::ConstantRateWifiManager", "DataMode", ns.StringValue("OfdmRate54Mbps")
     )
 
     #
     # No reason for pesky access points, so we'll use an ad-hoc network.
     #
-    wifiMac = ns.wifi.WifiMacHelper()
+    wifiMac = ns.WifiMacHelper()
     wifiMac.SetType("ns3::AdhocWifiMac")
 
     #
     # Configure the physical layer.
     #
-    wifiChannel = ns.wifi.YansWifiChannelHelper.Default()
-    wifiPhy = ns.wifi.YansWifiPhyHelper()
+    wifiChannel = ns.YansWifiChannelHelper.Default()
+    wifiPhy = ns.YansWifiPhyHelper()
     wifiPhy.SetChannel(wifiChannel.Create())
 
     #
@@ -80,10 +78,10 @@
     # We need location information since we are talking about wifi, so add a
     # constant position to the ghost nodes.
     #
-    mobility = ns.mobility.MobilityHelper()
-    positionAlloc = ns.mobility.ListPositionAllocator()
-    positionAlloc.Add(ns.core.Vector(0.0, 0.0, 0.0))
-    positionAlloc.Add(ns.core.Vector(5.0, 0.0, 0.0))
+    mobility = ns.MobilityHelper()
+    positionAlloc = ns.ListPositionAllocator()
+    positionAlloc.Add(ns.Vector(0.0, 0.0, 0.0))
+    positionAlloc.Add(ns.Vector(5.0, 0.0, 0.0))
     mobility.SetPositionAllocator(positionAlloc)
     mobility.SetMobilityModel("ns3::ConstantPositionMobilityModel")
     mobility.Install(nodes)
@@ -96,24 +94,24 @@
     # only see traffic from one other device on that bridge.  That is the case
     # for this configuration.
     #
-    tapBridge = ns.tap_bridge.TapBridgeHelper()
-    tapBridge.SetAttribute("Mode", ns.core.StringValue("UseLocal"))
-    tapBridge.SetAttribute("DeviceName", ns.core.StringValue("tap-left"))
+    tapBridge = ns.TapBridgeHelper()
+    tapBridge.SetAttribute("Mode", ns.StringValue("UseLocal"))
+    tapBridge.SetAttribute("DeviceName", ns.StringValue("tap-left"))
     tapBridge.Install(nodes.Get(0), devices.Get(0))
 
     #
     # Connect the right side tap to the right side wifi device on the right-side
     # ghost node.
     #
-    tapBridge.SetAttribute("DeviceName", ns.core.StringValue("tap-right"))
+    tapBridge.SetAttribute("DeviceName", ns.StringValue("tap-right"))
     tapBridge.Install(nodes.Get(1), devices.Get(1))
 
     #
     # Run the simulation for ten minutes to give the user time to play around
     #
-    ns.core.Simulator.Stop(ns.core.Seconds(600))
-    ns.core.Simulator.Run()  # signal_check_frequency = -1
-    ns.core.Simulator.Destroy()
+    ns.Simulator.Stop(ns.Seconds(600))
+    ns.Simulator.Run()  # signal_check_frequency = -1
+    ns.Simulator.Destroy()
     return 0
 
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/tap-bridge/model/tap-bridge.cc ns-3.42/src/tap-bridge/model/tap-bridge.cc
--- ns-3.41/src/tap-bridge/model/tap-bridge.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/tap-bridge/model/tap-bridge.cc	2024-05-29 15:29:47.176073800 -0700
@@ -608,7 +608,7 @@
         // an "ancillary element" but the msghdr uses the control message termimology
         // so we call it "control."
         //
-        size_t msg_size = sizeof(int);
+        constexpr size_t msg_size = sizeof(int);
         char control[CMSG_SPACE(msg_size)];
 
         //
@@ -799,7 +799,7 @@
         //
         // Packets we are going to forward should not be from a broadcast src
         //
-        NS_ASSERT_MSG(Mac48Address::ConvertFrom(src) != Mac48Address("ff:ff:ff:ff:ff:ff"),
+        NS_ASSERT_MSG(Mac48Address::ConvertFrom(src) != Mac48Address::GetBroadcast(),
                       "TapBridge::ForwardToBridgedDevice:  Source addr is broadcast");
         if (!m_ns3AddressRewritten)
         {
@@ -1156,7 +1156,7 @@
 TapBridge::GetBroadcast() const
 {
     NS_LOG_FUNCTION(this);
-    return Mac48Address("ff:ff:ff:ff:ff:ff");
+    return Mac48Address::GetBroadcast();
 }
 
 bool
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/tap-bridge/model/tap-creator.cc ns-3.42/src/tap-bridge/model/tap-creator.cc
--- ns-3.41/src/tap-bridge/model/tap-creator.cc	2024-02-09 14:44:08.525794500 -0800
+++ ns-3.42/src/tap-bridge/model/tap-creator.cc	2024-05-29 15:29:47.176073800 -0700
@@ -138,7 +138,7 @@
     // an "ancillary element" but the msghdr uses the control message termimology
     // so we call it "control."
     //
-    size_t msg_size = sizeof(int);
+    constexpr size_t msg_size = sizeof(int);
     char control[CMSG_SPACE(msg_size)];
 
     //
